<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xewaffe="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_3_0"
           targetNamespace="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_3_0"
           version="1.3.0"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified">
   <xs:annotation>
      <xs:appinfo>
         <standard>
            <nameLang>XeWaffe</nameLang>
            <nameKurz>XeWaffe</nameKurz>
            <nameTechnisch>xewaffe</nameTechnisch>
            <kennung>urn:xoev-de:stmd:standard:xewaffe</kennung>
            <beschreibung>Der Standard XeWaffe deckt den Bedarf des Betreibers sowie den weiterer Stakeholder
am Transport von digitalen (OZG-) Anträgen im Kontext waffenrechtlicher Erlaubnisse ab.</beschreibung>
         </standard>
         <versionStandard>
            <version>1.3.0</version>
            <beschreibung>Die mit diesem Release vorgenommenen Änderungen sind dem Anhang F der Spezifikation zu entnehmen.</beschreibung>
            <versionXOEVProfil>3.0.2</versionXOEVProfil>
            <versionXOEVHandbuch>3.0.2</versionXOEVHandbuch>
            <versionXGenerator>3.1.1</versionXGenerator>
            <versionModellierungswerkzeug>2024x</versionModellierungswerkzeug>
            <nameModellierungswerkzeug>MagicDraw</nameModellierungswerkzeug>
         </versionStandard>
      </xs:appinfo>
   </xs:annotation>
   <xs:simpleType name="Datum">
      <xs:annotation>
         <xs:documentation>Typ zur Übermittlung eines Datums (Format: YYYY-MM-DD).</xs:documentation>
      </xs:annotation>
      <xs:restriction base="xs:date">
         <xs:pattern value="[0-9]{4}-((0[13578]|1[02])-(0[1-9]|[12][0-9]|3[01])|(0[469]|11)-(0[1-9]|[12][0-9]|30)|(02)-(0[1-9]|[12][0-9]))"/>
      </xs:restriction>
   </xs:simpleType>
   <xs:simpleType name="Geldwert">
      <xs:annotation>
         <xs:documentation>Der Geldwert wird mit zwei Nachkommastellen angegeben. Über ein eigenständiges Informationselement wird dem Geldwert eine Währung zugeordnet.</xs:documentation>
      </xs:annotation>
      <xs:restriction base="xs:decimal">
         <xs:fractionDigits value="2"/>
      </xs:restriction>
   </xs:simpleType>
   <xs:simpleType name="Uhrzeit">
      <xs:annotation>
         <xs:documentation>Typ zur Übermittlung einer Uhrzeit (Format: hh:mm:ss).</xs:documentation>
      </xs:annotation>
      <xs:restriction base="xs:time">
         <xs:pattern value="(0[0-9]|1[0-9]|2[0-3]):(0[0-9]|[1-5][0-9]):(0[0-9]|[1-5][0-9])"/>
      </xs:restriction>
   </xs:simpleType>
</xs:schema>
